> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get visitorsconfig

> Gets an existing Visitor Configuration for a Venue.

The requesting User must have one of the following rights to perform this task: **AuthRuleType.VISITOR_ADMIN** Requestor is a Visitor Manager for the venue This operation returns a VenueVisitorConfig value representing the configuration.

The requesting User must have one of the following rights to perform this task:

This operation returns a VenueVisitorConfig value representing the configuration.

This operation returns a VenueVisitorConfig value representing the configuration.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /visitors/config/{sysidVisitorConfig}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /visitors/config/{sysidVisitorConfig}:
    get:
      tags:
        - VisitorService
      description: >-
        Gets an existing Visitor Configuration for a Venue.


        The requesting User must have one of the following rights to perform
        this task: **AuthRuleType.VISITOR_ADMIN** Requestor is a Visitor Manager
        for the venue This operation returns a VenueVisitorConfig value
        representing the configuration.


        The requesting User must have one of the following rights to perform
        this task:


        This operation returns a VenueVisitorConfig value representing the
        configuration.


        This operation returns a VenueVisitorConfig value representing the
        configuration.
      operationId: getVenueVisitorConfig
      parameters:
        - name: sysidVisitorConfig
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: ': Integer ID of the VenueVisitorConfig to retrieve'
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    sysidVenue: 12345
                    acknowledgements:
                      - acknowledgeType: EveryCheckIn
                        sysidVenueVisitorConfigAcknowledgement: 12345
                        aqDisplayTo:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidAcknowledgementType: 12345
                        label: ...
                        display: true
                        languages:
                          - plainText: ...
                            sysidLanguage: 12345
                            urlLink: ...
                            urlText: ...
                            sysidVenueVisitorConfigAcknowledgementText: 12345
                          - plainText: ...
                            sysidLanguage: 12345
                            urlLink: ...
                            urlText: ...
                            sysidVenueVisitorConfigAcknowledgementText: 12345
                        required: true
                        aqDisplayFrom:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        displayOrder: 12345
                      - acknowledgeType: FirstVisit
                        sysidVenueVisitorConfigAcknowledgement: 12345
                        aqDisplayTo:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidAcknowledgementType: 12345
                        label: ...
                        display: true
                        languages:
                          - plainText: ...
                            sysidLanguage: 12345
                            urlLink: ...
                            urlText: ...
                            sysidVenueVisitorConfigAcknowledgementText: 12345
                          - plainText: ...
                            sysidLanguage: 12345
                            urlLink: ...
                            urlText: ...
                            sysidVenueVisitorConfigAcknowledgementText: 12345
                        required: true
                        aqDisplayFrom:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        displayOrder: 12345
                    sysidVenueVisitorConfig: 12345
                    emailNotifications: true
                    managers:
                      - sysidVenueVisitorConfigManager: 12345
                        sysidUser: 12345
                      - sysidVenueVisitorConfigManager: 12345
                        sysidUser: 12345
                    selfCheckIn: true
                    isPackageDeliveryIncluded: true
                    meetingTypes:
                      - badgeFields:
                          - sysidVisitorBadgeField: 12345
                            sysidFieldType: 12345
                          - sysidVisitorBadgeField: 12345
                            sysidFieldType: 12345
                        required: true
                        autoPrintBadge: true
                        sysidVisitType: 12345
                        closingTexts:
                          - text: ...
                            sysidVenueVisitorClosingMessage: 12345
                            sysidLanguage: 12345
                          - text: ...
                            sysidVenueVisitorClosingMessage: 12345
                            sysidLanguage: 12345
                        actions:
                          - sysidVisitorActionType: 12345
                            sysidVenueVisitorConfigAction: 12345
                          - sysidVisitorActionType: 12345
                            sysidVenueVisitorConfigAction: 12345
                        visitType: SiteVisit
                        sysidVenueVisitorConfigMeetingType: 12345
                        hosts:
                          - sysidAltHost: 12345
                            sysidVenueVisitorConfigHost: 12345
                            sysidHost: 12345
                          - sysidAltHost: 12345
                            sysidVenueVisitorConfigHost: 12345
                            sysidHost: 12345
                      - badgeFields:
                          - sysidVisitorBadgeField: 12345
                            sysidFieldType: 12345
                          - sysidVisitorBadgeField: 12345
                            sysidFieldType: 12345
                        required: true
                        autoPrintBadge: true
                        sysidVisitType: 12345
                        closingTexts:
                          - text: ...
                            sysidVenueVisitorClosingMessage: 12345
                            sysidLanguage: 12345
                          - text: ...
                            sysidVenueVisitorClosingMessage: 12345
                            sysidLanguage: 12345
                        actions:
                          - sysidVisitorActionType: 12345
                            sysidVenueVisitorConfigAction: 12345
                          - sysidVisitorActionType: 12345
                            sysidVenueVisitorConfigAction: 12345
                        visitType: Conference
                        sysidVenueVisitorConfigMeetingType: 12345
                        hosts:
                          - sysidAltHost: 12345
                            sysidVenueVisitorConfigHost: 12345
                            sysidHost: 12345
                          - sysidAltHost: 12345
                            sysidVenueVisitorConfigHost: 12345
                            sysidHost: 12345
                    enabled: true
                    detailsFields:
                      - notes: ...
                        sysidVisitorDetailsField: 12345
                        sysidFieldType: 12345
                        required: true
                      - notes: ...
                        sysidVisitorDetailsField: 12345
                        sysidFieldType: 12345
                        required: true
                    printVisitorBadge: true
                    welcomeTexts:
                      - sysidVenueVisitorWelcomeMessage: 12345
                        sysidLanguage: 12345
                        text: ...
                      - sysidVenueVisitorWelcomeMessage: 12345
                        sysidLanguage: 12345
                        text: ...
              schema:
                $ref: '#/components/schemas/VenueVisitorConfig'
          description: |-
            VenueVisitorConfig data value updated.

            com.agilquest.phoenix.shared.data.visitor.VenueVisitorConfig
components:
  schemas:
    VenueVisitorConfig:
      type: object
      title: VenueVisitorConfig
      required:
        - sysidVenue
        - emailNotifications
        - selfCheckIn
        - isPackageDeliveryIncluded
        - enabled
        - printVisitorBadge
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidVenue:
              type: integer
              format: int32
            acknowledgements:
              type: array
              items:
                $ref: '#/components/schemas/VenueVisitorConfigAcknowledgement'
            sysidVenueVisitorConfig:
              type: integer
              format: int32
            emailNotifications:
              type: boolean
            managers:
              type: array
              items:
                $ref: '#/components/schemas/VenueVisitorConfigManager'
            selfCheckIn:
              type: boolean
            isPackageDeliveryIncluded:
              type: boolean
            meetingTypes:
              type: array
              items:
                $ref: '#/components/schemas/VenueVisitorConfigMeetingType'
            enabled:
              type: boolean
            detailsFields:
              type: array
              items:
                $ref: '#/components/schemas/VisitorDetailsField'
            printVisitorBadge:
              type: boolean
            welcomeTexts:
              type: array
              items:
                $ref: '#/components/schemas/VenueVisitorWelcomeMessage'
      example:
        sysidVenue: 12345
        acknowledgements:
          - acknowledgeType: EveryCheckIn
            sysidVenueVisitorConfigAcknowledgement: 12345
            aqDisplayTo:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAcknowledgementType: 12345
            label: ...
            display: true
            languages:
              - plainText: ...
                sysidLanguage: 12345
                urlLink: ...
                urlText: ...
                sysidVenueVisitorConfigAcknowledgementText: 12345
              - plainText: ...
                sysidLanguage: 12345
                urlLink: ...
                urlText: ...
                sysidVenueVisitorConfigAcknowledgementText: 12345
            required: true
            aqDisplayFrom:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            displayOrder: 12345
          - acknowledgeType: FirstVisit
            sysidVenueVisitorConfigAcknowledgement: 12345
            aqDisplayTo:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAcknowledgementType: 12345
            label: ...
            display: true
            languages:
              - plainText: ...
                sysidLanguage: 12345
                urlLink: ...
                urlText: ...
                sysidVenueVisitorConfigAcknowledgementText: 12345
              - plainText: ...
                sysidLanguage: 12345
                urlLink: ...
                urlText: ...
                sysidVenueVisitorConfigAcknowledgementText: 12345
            required: true
            aqDisplayFrom:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            displayOrder: 12345
        sysidVenueVisitorConfig: 12345
        emailNotifications: true
        managers:
          - sysidVenueVisitorConfigManager: 12345
            sysidUser: 12345
          - sysidVenueVisitorConfigManager: 12345
            sysidUser: 12345
        selfCheckIn: true
        isPackageDeliveryIncluded: true
        meetingTypes:
          - badgeFields:
              - sysidVisitorBadgeField: 12345
                sysidFieldType: 12345
              - sysidVisitorBadgeField: 12345
                sysidFieldType: 12345
            required: true
            autoPrintBadge: true
            sysidVisitType: 12345
            closingTexts:
              - text: ...
                sysidVenueVisitorClosingMessage: 12345
                sysidLanguage: 12345
              - text: ...
                sysidVenueVisitorClosingMessage: 12345
                sysidLanguage: 12345
            actions:
              - sysidVisitorActionType: 12345
                sysidVenueVisitorConfigAction: 12345
              - sysidVisitorActionType: 12345
                sysidVenueVisitorConfigAction: 12345
            visitType: Interview
            sysidVenueVisitorConfigMeetingType: 12345
            hosts:
              - sysidAltHost: 12345
                sysidVenueVisitorConfigHost: 12345
                sysidHost: 12345
              - sysidAltHost: 12345
                sysidVenueVisitorConfigHost: 12345
                sysidHost: 12345
          - badgeFields:
              - sysidVisitorBadgeField: 12345
                sysidFieldType: 12345
              - sysidVisitorBadgeField: 12345
                sysidFieldType: 12345
            required: true
            autoPrintBadge: true
            sysidVisitType: 12345
            closingTexts:
              - text: ...
                sysidVenueVisitorClosingMessage: 12345
                sysidLanguage: 12345
              - text: ...
                sysidVenueVisitorClosingMessage: 12345
                sysidLanguage: 12345
            actions:
              - sysidVisitorActionType: 12345
                sysidVenueVisitorConfigAction: 12345
              - sysidVisitorActionType: 12345
                sysidVenueVisitorConfigAction: 12345
            visitType: Staff
            sysidVenueVisitorConfigMeetingType: 12345
            hosts:
              - sysidAltHost: 12345
                sysidVenueVisitorConfigHost: 12345
                sysidHost: 12345
              - sysidAltHost: 12345
                sysidVenueVisitorConfigHost: 12345
                sysidHost: 12345
        enabled: true
        detailsFields:
          - notes: ...
            sysidVisitorDetailsField: 12345
            sysidFieldType: 12345
            required: true
          - notes: ...
            sysidVisitorDetailsField: 12345
            sysidFieldType: 12345
            required: true
        printVisitorBadge: true
        welcomeTexts:
          - sysidVenueVisitorWelcomeMessage: 12345
            sysidLanguage: 12345
            text: ...
          - sysidVenueVisitorWelcomeMessage: 12345
            sysidLanguage: 12345
            text: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    VenueVisitorConfigAcknowledgement:
      type: object
      title: VenueVisitorConfigAcknowledgement
      required:
        - sysidAcknowledgementType
        - display
        - required
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            acknowledgeType:
              $ref: '#/components/schemas/VisitorAcknowledgementType'
            sysidVenueVisitorConfigAcknowledgement:
              type: integer
              format: int32
            aqDisplayTo:
              $ref: '#/components/schemas/AqDate'
            sysidAcknowledgementType:
              type: integer
              format: int32
            label:
              type: string
            display:
              type: boolean
            languages:
              type: array
              items:
                $ref: '#/components/schemas/VenueVisitorConfigAcknowledgementText'
            required:
              type: boolean
            aqDisplayFrom:
              $ref: '#/components/schemas/AqDate'
            displayOrder:
              type: integer
              format: int32
      example:
        acknowledgeType: EveryCheckIn
        sysidVenueVisitorConfigAcknowledgement: 12345
        aqDisplayTo:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidAcknowledgementType: 12345
        label: ...
        display: true
        languages:
          - plainText: ...
            sysidLanguage: 12345
            urlLink: ...
            urlText: ...
            sysidVenueVisitorConfigAcknowledgementText: 12345
          - plainText: ...
            sysidLanguage: 12345
            urlLink: ...
            urlText: ...
            sysidVenueVisitorConfigAcknowledgementText: 12345
        required: true
        aqDisplayFrom:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        displayOrder: 12345
    VenueVisitorConfigManager:
      type: object
      title: VenueVisitorConfigManager
      required:
        - sysidUser
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidVenueVisitorConfigManager:
              type: integer
              format: int32
            sysidUser:
              type: integer
              format: int32
      example:
        sysidVenueVisitorConfigManager: 12345
        sysidUser: 12345
    VenueVisitorConfigMeetingType:
      type: object
      title: VenueVisitorConfigMeetingType
      required:
        - required
        - autoPrintBadge
        - sysidVisitType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            badgeFields:
              type: array
              items:
                $ref: '#/components/schemas/VisitorBadgeField'
            required:
              type: boolean
            autoPrintBadge:
              type: boolean
            sysidVisitType:
              type: integer
              format: int32
            closingTexts:
              type: array
              items:
                $ref: '#/components/schemas/VenueVisitorClosingMessage'
            actions:
              type: array
              items:
                $ref: '#/components/schemas/VenueVisitorConfigAction'
            visitType:
              $ref: '#/components/schemas/VisitType'
            sysidVenueVisitorConfigMeetingType:
              type: integer
              format: int32
            hosts:
              type: array
              items:
                $ref: '#/components/schemas/VenueVisitorConfigHost'
      example:
        badgeFields:
          - sysidVisitorBadgeField: 12345
            sysidFieldType: 12345
          - sysidVisitorBadgeField: 12345
            sysidFieldType: 12345
        required: true
        autoPrintBadge: true
        sysidVisitType: 12345
        closingTexts:
          - text: ...
            sysidVenueVisitorClosingMessage: 12345
            sysidLanguage: 12345
          - text: ...
            sysidVenueVisitorClosingMessage: 12345
            sysidLanguage: 12345
        actions:
          - sysidVisitorActionType: 12345
            sysidVenueVisitorConfigAction: 12345
          - sysidVisitorActionType: 12345
            sysidVenueVisitorConfigAction: 12345
        visitType: ServiceProvider
        sysidVenueVisitorConfigMeetingType: 12345
        hosts:
          - sysidAltHost: 12345
            sysidVenueVisitorConfigHost: 12345
            sysidHost: 12345
          - sysidAltHost: 12345
            sysidVenueVisitorConfigHost: 12345
            sysidHost: 12345
    VisitorDetailsField:
      type: object
      title: VisitorDetailsField
      required:
        - sysidFieldType
        - required
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            notes:
              type: string
            sysidVisitorDetailsField:
              type: integer
              format: int32
            sysidFieldType:
              type: integer
              format: int32
            required:
              type: boolean
      example:
        notes: ...
        sysidVisitorDetailsField: 12345
        sysidFieldType: 12345
        required: true
    VenueVisitorWelcomeMessage:
      type: object
      title: VenueVisitorWelcomeMessage
      required:
        - sysidLanguage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidVenueVisitorWelcomeMessage:
              type: integer
              format: int32
            sysidLanguage:
              type: integer
              format: int32
            text:
              type: string
      example:
        sysidVenueVisitorWelcomeMessage: 12345
        sysidLanguage: 12345
        text: ...
    VisitorAcknowledgementType:
      type: string
      title: VisitorAcknowledgementType
      enum:
        - EveryCheckIn
        - FirstVisit
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true
    VenueVisitorConfigAcknowledgementText:
      type: object
      title: VenueVisitorConfigAcknowledgementText
      required:
        - sysidLanguage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            plainText:
              type: string
            sysidLanguage:
              type: integer
              format: int32
            urlLink:
              type: string
            urlText:
              type: string
            sysidVenueVisitorConfigAcknowledgementText:
              type: integer
              format: int32
      example:
        plainText: ...
        sysidLanguage: 12345
        urlLink: ...
        urlText: ...
        sysidVenueVisitorConfigAcknowledgementText: 12345
    VisitorBadgeField:
      type: object
      title: VisitorBadgeField
      required:
        - sysidFieldType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidVisitorBadgeField:
              type: integer
              format: int32
            sysidFieldType:
              type: integer
              format: int32
      example:
        sysidVisitorBadgeField: 12345
        sysidFieldType: 12345
    VenueVisitorClosingMessage:
      type: object
      title: VenueVisitorClosingMessage
      required:
        - sysidLanguage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            text:
              type: string
            sysidVenueVisitorClosingMessage:
              type: integer
              format: int32
            sysidLanguage:
              type: integer
              format: int32
      example:
        text: ...
        sysidVenueVisitorClosingMessage: 12345
        sysidLanguage: 12345
    VenueVisitorConfigAction:
      type: object
      title: VenueVisitorConfigAction
      required:
        - sysidVisitorActionType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidVisitorActionType:
              type: integer
              format: int32
            sysidVenueVisitorConfigAction:
              type: integer
              format: int32
      example:
        sysidVisitorActionType: 12345
        sysidVenueVisitorConfigAction: 12345
    VisitType:
      type: string
      title: VisitType
      enum:
        - Meeting
        - Interview
        - ServiceProvider
        - Conference
        - SiteVisit
        - Contractor
        - Staff
    VenueVisitorConfigHost:
      type: object
      title: VenueVisitorConfigHost
      required:
        - sysidHost
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidAltHost:
              type: integer
              format: int32
            sysidVenueVisitorConfigHost:
              type: integer
              format: int32
            sysidHost:
              type: integer
              format: int32
      example:
        sysidAltHost: 12345
        sysidVenueVisitorConfigHost: 12345
        sysidHost: 12345

````